LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Debian (http://www.linuxquestions.org/questions/debian-26/)
-   -   Krusader crashing after updates, on Debian Squeeze "Stable" (http://www.linuxquestions.org/questions/debian-26/krusader-crashing-after-updates-on-debian-squeeze-stable-942456/)

drachenchen 04-29-2012 07:10 PM

Krusader crashing after updates, on Debian Squeeze "Stable"
 
Hello.

I gave up on Ubuntu due to Unity and Gnome 3, and did a fresh install of Debian Squeeze "Stable". Mostly happy with it, except for no Mozilla product support, UNTIL TODAY. Update Manager popped up, I installed the updates, and now Krusader will not start. It was a bit annoying to have to launch Krusader from command line (it did not show up in the menus when I installed it), but at least it worked, until now. From Konsole:

KCrash: Application 'krusader' crashing...
sock_file=/root/.kde/socket-Lucidus/kdeinit4__0
Warning: connect() failed: : No such file or directory
KCrash cannot reach kdeinit, launching directly.
QGtkStyle was unable to detect the current GTK+ theme.
Qt: Session management error: None of the authentication protocols specified are supported
drkonqi(9500): Session bus not found

I've checked, using Synaptic, and I have all the dependencies installed for Krusader, and most of the suggested programs, too. I've also tried re-installing Krusader. No joy...

I've been searching various forums and the web for most of the day, and I find precious little on Krusader, at all, and nothing on this particular problem, on this distro. The Krusader Krew's forum has been closed for new posts due to spam, and I couldn't find anything about this problem there, either. As a stab in the dark, I tried installing most of the KDE, with it's multitudinous depends, and still get nothing but the error message.

Has anybody else had this problem with Krusader? I'm not sure if this is Krusader-centric, or Debian-centric, either, since I've noticed that both IceWeasel, and Opera, both crash immediately if I try to open any sort of video clip online. The browser issues happened before the update, though, and Krusader was working fine at that time. Looking at the crash message above, it seems as though it's telling me that I do not have Krusader installed, or that it's been stuffed somewhere that the system does not expect it to be. Might the updates have ripped out something that kept track of said location? This is only a guess on my part. I'm over my head, here. I have no idea what the GTK+ theme has to do with starting the program, either. I'd post what was just updated, but I do not know how or where to find that information. Confused...

On the larger scale, does anybody know if Krusader is going the way of Quanta Plus? I used the hell out of Quanta, but it has gone away. I'm starting over with Bluefish, as it looks promising, but should I be looking for a Krusader replacement, now, too?

Didn't have these problems back when I was running Lucid Lynx. I'll stop now before I start ranting. Anyone out there have a clue for the old NOOB? Thanks!

drachenchen 09-12-2012 09:46 AM

OK, it's about 7 months later, and I have a solution. Turns out my version of Debian Squeeze Stable that I was running at the time was with the new kernel. I wiped that partition eventually, tried some other distros, and then after getting tired of their limitations, tried re-installing Squeeze Stable, only this time, I used the older kernel during the install (2.35, I think it was; the option shows up during the install; watch for the check box). My reason for doing so was actually so that I could use an older graphics card with legacy Nvidia drivers, that would not work with the 3.x kernel. After the install, I went into Synaptic, found the kernel packages, and put "package hold" on them so they wouldn't be upgraded. The video drivers work fine, and this time, when I tried installing Krusader, it works fine, too. So, I guess this is a solution. Not optimal, perhaps, but it works. I can only guess that Krusader is not compatible with the newer kernels. Too bad, as I love the program. All the other choices that I've been directed to as replacements don't have the same range of color-coding options, and that helps me stay organized and productive. So, at least I can keep using it, for now.


All times are GMT -5. The time now is 03:48 AM.